Index: vendor/google/apiclient-services/src/ACMEDNS/AcmeChallengeSet.php
===================================================================
--- vendor/google/apiclient-services/src/ACMEDNS/AcmeChallengeSet.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/ACMEDNS/AcmeChallengeSet.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,43 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\ACMEDNS;
+
+class AcmeChallengeSet extends \Google\Collection
+{
+  protected $collection_key = 'record';
+  protected $recordType = AcmeTxtRecord::class;
+  protected $recordDataType = 'array';
+
+  /**
+   * @param AcmeTxtRecord[]
+   */
+  public function setRecord($record)
+  {
+    $this->record = $record;
+  }
+  /**
+   * @return AcmeTxtRecord[]
+   */
+  public function getRecord()
+  {
+    return $this->record;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(AcmeChallengeSet::class, 'Google_Service_ACMEDNS_AcmeChallengeSet');
Index: vendor/google/apiclient-services/src/ACMEDNS/AcmeTxtRecord.php
===================================================================
--- vendor/google/apiclient-services/src/ACMEDNS/AcmeTxtRecord.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/ACMEDNS/AcmeTxtRecord.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,80 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\ACMEDNS;
+
+class AcmeTxtRecord extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $digest;
+  /**
+   * @var string
+   */
+  public $fqdn;
+  /**
+   * @var string
+   */
+  public $updateTime;
+
+  /**
+   * @param string
+   */
+  public function setDigest($digest)
+  {
+    $this->digest = $digest;
+  }
+  /**
+   * @return string
+   */
+  public function getDigest()
+  {
+    return $this->digest;
+  }
+  /**
+   * @param string
+   */
+  public function setFqdn($fqdn)
+  {
+    $this->fqdn = $fqdn;
+  }
+  /**
+   * @return string
+   */
+  public function getFqdn()
+  {
+    return $this->fqdn;
+  }
+  /**
+   * @param string
+   */
+  public function setUpdateTime($updateTime)
+  {
+    $this->updateTime = $updateTime;
+  }
+  /**
+   * @return string
+   */
+  public function getUpdateTime()
+  {
+    return $this->updateTime;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(AcmeTxtRecord::class, 'Google_Service_ACMEDNS_AcmeTxtRecord');
Index: vendor/google/apiclient-services/src/ACMEDNS/Resource/AcmeChallengeSets.php
===================================================================
--- vendor/google/apiclient-services/src/ACMEDNS/Resource/AcmeChallengeSets.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/ACMEDNS/Resource/AcmeChallengeSets.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,74 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\ACMEDNS\Resource;
+
+use Google\Service\ACMEDNS\AcmeChallengeSet;
+use Google\Service\ACMEDNS\RotateChallengesRequest;
+
+/**
+ * The "acmeChallengeSets" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $acmednsService = new Google\Service\ACMEDNS(...);
+ *   $acmeChallengeSets = $acmednsService->acmeChallengeSets;
+ *  </code>
+ */
+class AcmeChallengeSets extends \Google\Service\Resource
+{
+  /**
+   * Gets the ACME challenge set for a given domain name. Domain names must be
+   * provided in Punycode. (acmeChallengeSets.get)
+   *
+   * @param string $rootDomain Required. SLD + TLD domain name to list challenges.
+   * For example, this would be "google.com" for any FQDN under "google.com". That
+   * includes challenges for "subdomain.google.com". This MAY be Unicode or
+   * Punycode.
+   * @param array $optParams Optional parameters.
+   * @return AcmeChallengeSet
+   * @throws \Google\Service\Exception
+   */
+  public function get($rootDomain, $optParams = [])
+  {
+    $params = ['rootDomain' => $rootDomain];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], AcmeChallengeSet::class);
+  }
+  /**
+   * Rotate the ACME challenges for a given domain name. By default, removes any
+   * challenges that are older than 30 days. Domain names must be provided in
+   * Punycode. (acmeChallengeSets.rotateChallenges)
+   *
+   * @param string $rootDomain Required. SLD + TLD domain name to update records
+   * for. For example, this would be "google.com" for any FQDN under "google.com".
+   * That includes challenges for "subdomain.google.com". This MAY be Unicode or
+   * Punycode.
+   * @param RotateChallengesRequest $postBody
+   * @param array $optParams Optional parameters.
+   * @return AcmeChallengeSet
+   * @throws \Google\Service\Exception
+   */
+  public function rotateChallenges($rootDomain, RotateChallengesRequest $postBody, $optParams = [])
+  {
+    $params = ['rootDomain' => $rootDomain, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('rotateChallenges', [$params], AcmeChallengeSet::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(AcmeChallengeSets::class, 'Google_Service_ACMEDNS_Resource_AcmeChallengeSets');
Index: vendor/google/apiclient-services/src/ACMEDNS/RotateChallengesRequest.php
===================================================================
--- vendor/google/apiclient-services/src/ACMEDNS/RotateChallengesRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/ACMEDNS/RotateChallengesRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,95 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\ACMEDNS;
+
+class RotateChallengesRequest extends \Google\Collection
+{
+  protected $collection_key = 'recordsToRemove';
+  /**
+   * @var string
+   */
+  public $accessToken;
+  /**
+   * @var bool
+   */
+  public $keepExpiredRecords;
+  protected $recordsToAddType = AcmeTxtRecord::class;
+  protected $recordsToAddDataType = 'array';
+  protected $recordsToRemoveType = AcmeTxtRecord::class;
+  protected $recordsToRemoveDataType = 'array';
+
+  /**
+   * @param string
+   */
+  public function setAccessToken($accessToken)
+  {
+    $this->accessToken = $accessToken;
+  }
+  /**
+   * @return string
+   */
+  public function getAccessToken()
+  {
+    return $this->accessToken;
+  }
+  /**
+   * @param bool
+   */
+  public function setKeepExpiredRecords($keepExpiredRecords)
+  {
+    $this->keepExpiredRecords = $keepExpiredRecords;
+  }
+  /**
+   * @return bool
+   */
+  public function getKeepExpiredRecords()
+  {
+    return $this->keepExpiredRecords;
+  }
+  /**
+   * @param AcmeTxtRecord[]
+   */
+  public function setRecordsToAdd($recordsToAdd)
+  {
+    $this->recordsToAdd = $recordsToAdd;
+  }
+  /**
+   * @return AcmeTxtRecord[]
+   */
+  public function getRecordsToAdd()
+  {
+    return $this->recordsToAdd;
+  }
+  /**
+   * @param AcmeTxtRecord[]
+   */
+  public function setRecordsToRemove($recordsToRemove)
+  {
+    $this->recordsToRemove = $recordsToRemove;
+  }
+  /**
+   * @return AcmeTxtRecord[]
+   */
+  public function getRecordsToRemove()
+  {
+    return $this->recordsToRemove;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(RotateChallengesRequest::class, 'Google_Service_ACMEDNS_RotateChallengesRequest');
